Apache Tomcat 7.0.42

## org.apache.el.lang
Class EvaluationContext

    java.lang.Object
      javax.el.ELContext
          org.apache.el.lang.EvaluationContext

    public final class EvaluationContext

extends ELContext

Constructor Summary
`EvaluationContext(ELContext elContext, FunctionMapper fnMapper, VariableMapper varMapper)`

Method Summary
`Object` `getContext(Class key)`
`ELContext` `getELContext()`
`ELResolver` `getELResolver()`
`FunctionMapper` `getFunctionMapper()`
`Locale` `getLocale()`
`VariableMapper` `getVariableMapper()`
`boolean` `isPropertyResolved()`
`void` `putContext(Class key, Object contextObject)`
`void` `setLocale(Locale locale)`
`void` `setPropertyResolved(boolean resolved)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvaluationContext

    public EvaluationContext(ELContext elContext,
                             FunctionMapper fnMapper,
                             VariableMapper varMapper)

Method Detail

### getELContext

    public ELContext getELContext()

### getFunctionMapper

    public FunctionMapper getFunctionMapper()

  Specified by:
    `getFunctionMapper` in class `ELContext`

### getVariableMapper

    public VariableMapper getVariableMapper()

  Specified by:
    `getVariableMapper` in class `ELContext`

### getContext

    public Object getContext(Class key)

  Overrides:
    `getContext` in class `ELContext`

### getELResolver

    public ELResolver getELResolver()

  Specified by:
    `getELResolver` in class `ELContext`

### isPropertyResolved

    public boolean isPropertyResolved()

  Overrides:
    `isPropertyResolved` in class `ELContext`

### putContext

    public void putContext(Class key,
                           Object contextObject)

  Overrides:
    `putContext` in class `ELContext`

### setPropertyResolved

    public void setPropertyResolved(boolean resolved)

  Overrides:
    `setPropertyResolved` in class `ELContext`

### getLocale

    public Locale getLocale()

  Overrides:
    `getLocale` in class `ELContext`

### setLocale

    public void setLocale(Locale locale)

  Overrides:
    `setLocale` in class `ELContext`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.